Bug 627210 - openoffice.org-voikko doesn't work
Summary: openoffice.org-voikko doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 11:55 UTC by Ville-Pekka Vainio
Modified: 2010-09-09 04:34 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-6.2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-09 04:34:34 UTC


Attachments (Terms of Use)

Description Ville-Pekka Vainio 2010-08-25 11:55:06 UTC
Description of problem:
The openoffice.org-voikko extension isn't working with openoffice.org

Version-Release number of selected component (if applicable):
openoffice.org-core-3.3.0-5.1.fc14

The extension is installed in /usr/lib64/openoffice.org/extensions/voikko.uno.pkg . When I open the Extension Manager, no extensions are listed there, although the /usr/lib64/openoffice.org/extensions directory seems to also include other extensions. Is the new-style extensions management broken somehow?

Comment 1 Caolan McNamara 2010-08-25 12:18:41 UTC
I installed openoffice.org-voikko and 

a) The tick mark beside "Finnish" in format->character is present
b) Marking some text as Finnish and typing "suomo suomi" gives a redline under suomo and none under suomi and right clicking suomo gives suomi as the top replacement
c) unopkg list --bundled shows org.puimula.ooovoikko in the list. This is the bit that has changed in 3.3 in that these new-style things are now "bundled"

if you double-check with the above checklist, is there still a failure?

Comment 2 Ville-Pekka Vainio 2010-08-25 12:51:20 UTC
(In reply to comment #1)
> a) The tick mark beside "Finnish" in format->character is present

There's not a tick mark beside Finnish.

> b) Marking some text as Finnish and typing "suomo suomi" gives a redline under
> suomo and none under suomi and right clicking suomo gives suomi as the top
> replacement

Doesn't work.

> c) unopkg list --bundled shows org.puimula.ooovoikko in the list. This is the
> bit that has changed in 3.3 in that these new-style things are now "bundled"

This says <none> as both a regular user and as root.

I've installed the Fedora 14 Alpha, then updated that and then done "yum install @office" before testing openoffice.org-voikko.

Comment 3 Caolan McNamara 2010-08-25 13:06:16 UTC
I blew away my ~/.openoffice.org and restarted OOo and they still worked. I've got 3.3.0-5.1.fc14 installed on x86_64 and it seems fine.

Comment 4 Ville-Pekka Vainio 2010-08-25 13:31:24 UTC
For some reason removing ~/.openoffice.org doesn't help here.

Comment 5 Caolan McNamara 2010-08-25 13:41:34 UTC
Hmm, unopkg list --bundled is showing "<none>" right ?, so...

a) can you rpm --erase openoffice.org-voikko for a bit
b) make sure that some other extension is installed, e.g. rpm -q openoffice.org-presenter-screen
c) remove ~/.openoffice.org again, and run e.g. writer
d) and run unopkg list --bundled again and see does it still say "<none>"

are you on x86 ?

Comment 6 Ville-Pekka Vainio 2010-08-25 14:01:54 UTC
(In reply to comment #5)

I did these steps, removed ooovoikko while presenter-screen was still installed, removed ~/.openoffice.org, ran oowriter, shut it down and ran unopkg list --bundled. It still shows "<none>". This is an x86_64 virtual machine.

Comment 7 Caolan McNamara 2010-08-27 11:15:40 UTC
gagh, now I see it. grr...

Comment 8 Fedora Update System 2010-08-30 15:14:29 UTC
openoffice.org-3.3.0-6.1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-6.1.fc14

Comment 9 Fedora Update System 2010-08-30 19:42:47 UTC
openoffice.org-3.3.0-6.1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-6.1.fc14

Comment 10 Ville-Pekka Vainio 2010-08-31 09:43:48 UTC
I can confirm that it's fixed now. Thanks!

Comment 11 Fedora Update System 2010-09-07 07:53:55 UTC
openoffice.org-3.3.0-6.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-6.2.fc14

Comment 12 Fedora Update System 2010-09-09 04:34:21 UTC
openoffice.org-3.3.0-6.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.